Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2877 - /etc/profile.d/kde.sh is broken
Summary: /etc/profile.d/kde.sh is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdesupport
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-17 15:48 UTC by Steve Muir
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-22 14:31:31 UTC


Attachments (Terms of Use)

Description Steve Muir 1999-05-17 15:48:46 UTC
Two problems withkde.sh:

1) sets KDEDIR incorrectly to /usr.  Running kdesetup with
KDEDIR as set by the script produces errors, but unsetting
KDEDIR or setting it to "/" fixes them.

2) prepends $(KDEDIR)/bin to PATH even though it is already
a component of PATH.

kde.sh should be fixed to find the correct value of KDEDIR,
then only add $(KDEDIR)/bin to PATH if not already a
component (use 'type -path').

Comment 1 Preston Brown 1999-06-11 16:09:59 UTC
It is proper for KDEDIR to be set to /usr.  Why do you think
otherwise?

However, you are right that /usr/bin should _not_ be appended to the
beginning of the path.  This will be fixed in an errata.

Comment 2 Preston Brown 1999-06-22 14:31:59 UTC
closed in RHSA-1999:015-01.


Note You need to log in before you can comment on or make changes to this bug.